Bug # 20473 (Closed): Starttime/endtime is not taken into account when caching

Status: Closed Priority: Should have
Author: Steffen Gebert Category:
Created: 2011-06-05 Assigned To:
Updated: 2013-06-01 Due date:
TYPO3 Version: 4.6
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Use Runtime Cache in tslib_fe::get_cache_timeout
Description

Thanks to #20473, start and stop times of records are now taken into account during a page's cache lifetime calculation.
To prevent repeated computations, the value is cached inside tslib_fe::get_cache_timeout, using a class variable 
getCacheTimeoutCache.

The Runtime Cache (#27208) not only offers a cleaner way to do so, it also provides a remedy against the currently existing problem
that get_cache_timeout() does its job exactly twice: Once during menu generation (which seems to work with a cloned copy of TSFE)
and once before putting the page contents into the cache. As both class instances share the runtime cache, the second calculation
can be safed.

Related issues:
follows Core - Feature # 27208: Add a runtime cache Closed 2011-06-04

Associated revisions
Revision fea7f6ec - 2011-06-24 21:10 - Steffen Gebert

[BUGFIX] Use runtime cache in tslib_fe::get_cache_timeout

Thanks to #20473, start and stop times of records are now taken into
account during a page's cache lifetime calculation.
To prevent repeated computations, the value is cached inside
tslib_fe::get_cache_timeout(), using a class variable
getCacheTimeoutCache.

The Runtime Cache (#27208) not only offers a cleaner way to do so, it
also provides a remedy against the currently existing problem that
get_cache_timeout() does its job exactly twice: Once during menu
generation (which seems to work with a cloned copy of TSFE) and once
before putting the page contents into the cache. As both class instances
share the runtime cache, the second calculation can be safed.

Change-Id: I0b241749639a678ba6c1addd8d57e2256cf52bc2
Resolves: #27227
Depends: #27208
Reviewed-on: http://review.typo3.org/2531
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Susanne Moog
Tested-by: Susanne Moog

History
#1 - 2011-06-05 20:40 - Mr. Hudson

Patch set 1 of change I0b241749639a678ba6c1addd8d57e2256cf52bc2 has been pushed to the review server.
It is available at http://review.typo3.org/2531

#2 - 2011-06-24 17:23 - Mr. Hudson

Patch set 2 of change I0b241749639a678ba6c1addd8d57e2256cf52bc2 has been pushed to the review server.
It is available at http://review.typo3.org/2531

#3 - 2011-06-24 21:30 - Steffen Gebert
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:fea7f6ecab436b3eb76a57a3d1594adfe76cbd8b.

#4 - 2011-06-25 12:22 - Steffen Gebert
- Target version set to 1281

#5 - 2012-03-07 13:33 - Xavier Perseguers
- Status changed from Resolved to Closed

#6 - 2013-06-01 14:43 - Ernesto Baschny
- Target version deleted (1281)
